bool-expr.cpp File Reference
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Gecode::BoolExpr::Node
| Node for Boolean expression More...
class | Gecode::BElementExpr
| Boolean element expressions. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

BoolExpr | Gecode::operator&& (const BoolExpr &, const BoolExpr &)
| Conjunction of Boolean expressions.
BoolExpr | Gecode::operator|| (const BoolExpr &, const BoolExpr &)
| Disjunction of Boolean expressions.
BoolExpr | Gecode::operator^ (const BoolExpr &, const BoolExpr &)
| Exclusive-or of Boolean expressions.
BoolExpr | Gecode::operator! (const BoolExpr &)
| Negated Boolean expression.
BoolExpr | Gecode::operator!= (const BoolExpr &, const BoolExpr &)
| Non-equivalence of Boolean expressions.
BoolExpr | Gecode::operator== (const BoolExpr &, const BoolExpr &)
| Equivalence of Boolean expressions.
BoolExpr | Gecode::operator>> (const BoolExpr &, const BoolExpr &)
| Implication of Boolean expressions.
BoolExpr | Gecode::operator<< (const BoolExpr &, const BoolExpr &)
| Reverse implication of Boolean expressions.
BoolVar | Gecode::expr (Home home, const BoolExpr &e, const IntPropLevels &ipls=IntPropLevels::def)
| Post Boolean expression and return its value.
void | Gecode::rel (Home home, const BoolExpr &e, const IntPropLevels &ipls=IntPropLevels::def)
| Post Boolean relation.
BoolExpr | Gecode::element (const BoolVarArgs &x, const LinIntExpr &y)
| Return expression for .